//Algorithm for calculating height
/*
@nestorgastly.humberto(nestorgastly.humberto@gmail.com
@Date 28/01/2022
/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/
#include <iostream>
#include <math.h>
using namespace std;
//Exercise 18
//***************************************************************************FUNCTION DECLARATION**********************************************************************************
void Run();
void CollectData();
void Calculate();
void ShowResults();
/*******************************************************************************************************************************************
 *  												MAIN
 *******************************************************************************************************************************************/
 
int main() {
	
	Run();
	return 0;
	}
/******************************************************************************************************************************************* 
*  												GLOBAL VARIABLE
*******************************************************************************************************************************************/	
	int radian = 0.0;
	double altura = 0.0;
	double result;
	double PI = 3.14159;
/********************************************************************************************************
												FUNCTION DEFINITION
**********************************************************************************************************/
void Run(){
	CollectData();
	Calculate();
	ShowResults();
}
//======================================================================================================================================================================================
void CollectData(){

	cout<<"Digite el angulo: ";
	cin>>radian;
}
//===================================================================================================================================================================================
void Calculate() {
	result = sin(radian*PI/180);  //SE DA LA CONVERSION DEL NUMERO A RADIANES
	altura = 3*result;
}
//=========================================================================================================================================================================================================================	
void ShowResults(){
	cout<<"La Altura en la cual la escalera toca el edificio es:"<<altura;	
}

